Bug 13459 - Datatables paging slightly broken
Summary: Datatables paging slightly broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-14 20:35 UTC by Katrin Fischer
Modified: 2016-06-21 21:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Screenshot of administration-itemtypes (20.93 KB, image/png)
2014-12-14 20:35 UTC, Katrin Fischer
Details
Bug 13459: Fix datatables paging for admin > itemtypes (1.15 KB, patch)
2014-12-27 12:00 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13459: Fix datatables paging for patron lists (1.96 KB, patch)
2014-12-27 20:16 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13459: Fix datatables paging for admin > itemtypes (1.21 KB, patch)
2014-12-28 00:45 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 13459: Fix datatables paging for patron lists (2.01 KB, patch)
2014-12-28 00:45 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 13459: Fix datatables paging for admin > itemtypes (1.27 KB, patch)
2014-12-29 10:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13459: Fix datatables paging for patron lists (2.07 KB, patch)
2014-12-29 10:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13459: Fix datatables paging for admin > itemtypes (1.33 KB, patch)
2015-01-09 13:20 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2014-12-14 20:35:31 UTC
Created attachment 34382 [details]
Screenshot of administration-itemtypes

Paging in datatables table is slightly broken - see screenshot from dministration > itemtypes.
Comment 1 Katrin Fischer 2014-12-27 12:00:04 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2014-12-27 12:00:46 UTC
Copied the fix from bug 13487.
Comment 3 Katrin Fischer 2014-12-27 20:16:05 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2014-12-28 00:45:40 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2014-12-28 00:45:55 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2014-12-29 10:01:33 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2014-12-29 10:01:37 UTC
Created attachment 34780 [details] [review]
Bug 13459: Fix datatables paging for patron lists

The display of the datatables paging options for the
patron list feature is broken.

To test:
- Go to tools > patron lists
- The paging for the 'list of lists' is broken
- Select a patron list 'Add more patrons'
- Notice the paging on this page is also broken
- Apply patch
- Verify both pages now display the paging correctly

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Tomás Cohen Arazi 2015-01-07 23:43:43 UTC
Patches pushed to master.

Thanks Katrina!
Comment 9 Kyle M Hall 2015-01-09 13:20:27 UTC
Created attachment 35057 [details] [review]
Bug 13459: Fix datatables paging for admin > itemtypes

To test:
- Go to administration > itemtypes
- Verify the display of the paging options is broken
- Apply patch
- Verify the display is now correct and works nicely

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 10 Chris Cormack 2015-01-11 07:45:39 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 11 Mason James 2015-01-16 23:25:06 UTC
Pushed to 3.16.x, will be in 3.16.7